=== modified file 'loggerhead/history.py'
--- loggerhead/history.py	2009-07-21 02:13:45 +0000
+++ loggerhead/history.py	2009-10-15 23:12:10 +0000
@@ -547,14 +547,14 @@
             revnol = revno.split(".")
             revnos = ".".join(revnol[:-2])
             revnolast = int(revnol[-1])
-            if revnos in d.keys():
+            if revnos in d:
                 m = d[revnos][0]
                 if revnolast < m:
                     d[revnos] = (revnolast, revid)
             else:
                 d[revnos] = (revnolast, revid)
 
-        return [d[revnos][1] for revnos in d.keys()]
+        return [d[revnos][1] for revnos in d.iterkeys()]
 
     def add_branch_nicks(self, change):
         """

=== modified file 'loggerhead/wholehistory.py'
--- loggerhead/wholehistory.py	2009-05-29 13:39:28 +0000
+++ loggerhead/wholehistory.py	2009-10-15 23:12:10 +0000
@@ -32,7 +32,7 @@
     # Filter ghosts, and null:
     if NULL_REVISION in revision_graph:
         del revision_graph[NULL_REVISION]
-    for key, parents in revision_graph.items():
+    for key, parents in revision_graph.iteritems():
         revision_graph[key] = tuple(parent for parent in parents if parent
             in revision_graph)
     return revision_graph
@@ -72,7 +72,7 @@
         _rev_indices[revid] = len(_rev_info)
         _rev_info.append([(seq, revid, merge_depth, revno_str, end_of_merge), (), parents])
 
-    for revid in _revision_graph.keys():
+    for revid in _revision_graph.iterkeys():
         if _rev_info[_rev_indices[revid]][0][2] == 0:
             continue
         for parent in _revision_graph[revid]:

